Package org.eclipse.equinox.http.registry.internal

# Class DefaultRegistryHttpContext

java.lang.Object
org.eclipse.equinox.http.registry.internal.DefaultRegistryHttpContext

All Implemented Interfaces:
  `HttpContext`

public class DefaultRegistryHttpContext extends Object implements HttpContext

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`DefaultRegistryHttpContext.ResourceMapping`

## Field Summary

### Fields inherited from interface org.osgi.service.http.HttpContext

`AUTHENTICATION_TYPE, AUTHORIZATION, REMOTE_USER`

## Constructor Summary

Constructors
Constructor
Description
`DefaultRegistryHttpContext(HttpContext delegate)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addMimeMapping(String mimeExtension, String mimeType)`
`void`
`addResourceMapping(Bundle contributingBundle, String path)`
`String`
`getMimeType(String name)`
`URL`
`getResource(String name)`
`Set<String>`
`getResourcePaths(String path)`
`boolean`
`handleSecurity(javax.servlet.http.HttpServletRequest arg0, javax.servlet.http.HttpServletResponse arg1)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultRegistryHttpContext

public DefaultRegistryHttpContext(HttpContext delegate)

## Method Details

### addResourceMapping

public void addResourceMapping(Bundle contributingBundle, String path)

### addMimeMapping

public void addMimeMapping(String mimeExtension, String mimeType)

### getMimeType

public String getMimeType(String name)

Specified by:
  `getMimeType` in interface `HttpContext`

### handleSecurity

public boolean handleSecurity(javax.servlet.http.HttpServletRequest arg0, javax.servlet.http.HttpServletResponse arg1) throws IOException

Specified by:
  `handleSecurity` in interface `HttpContext`
Throws:
  `IOException`

### getResource

public URL getResource(String name)

Specified by:
  `getResource` in interface `HttpContext`

### getResourcePaths

public Set<String> getResourcePaths(String path)